Name: clamav
Version: 0.60
Release: alt1
Summary: An anti-virus utility for Unix
License: GPL
URL: http://clamav.sourceforge.net/
Group: File tools
Packager: Victor Forsyuk <force@altlinux.ru>
Source0: http://download.sourceforge.net/%name/%name-%version.tar.gz
Source1: clamav.init
Source2: clamav.sysconfig

Source4: freshclam.cron
Source5: freshclam.logrotate
Source6: clamav.logrotate

Patch1: clamav-0.60-config.patch

# Automatically added by buildreq on Fri Jun 27 2003
BuildRequires: bzlib-devel glibc-devel-static zlib-devel

%description
Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose
of this software is the integration with mail servers (attachment
scanning). The package provides a flexible and scalable
multi-threaded daemon, a commandline scanner, and a tool for
automatic updating via Internet. The programs are based on a
shared library distributed with the Clam AntiVirus package, which
you can use in your own software.

%package -n lib%{name}
Summary: Shared libraries for clamav
Group: Development/C
Requires: %{name} = %{version}

%description -n lib%{name}
Shared libraries for clamav.

%package -n lib%{name}-devel
Summary: Development header files and libraries for clamav
Group: Development/C
Requires: %{name} = %{version}

%description -n lib%{name}-devel
This package contains the development header files and libraries
necessary to develop clamav client applications.

%package -n lib%{name}-devel-static
Summary: clamav static libraries
Group: Development/C
Requires: lib%{name}-devel = %{version}

%description -n lib%{name}-devel-static
clamav static libraries.

%prep
%setup -q
%patch1 -p0

%build
# --disable-clamav: Disable test for clamav user/group
%configure \
	--disable-clamav \
	--with-user=mail \
	--with-group=mail \
	--with-dbdir=/var/lib/%name
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

# sendmail is deprecated in ALT Linux, so...
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/clamav-milter*

install -d $RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,sysconfig,cron.daily,logrotate.d}
install -d $RPM_BUILD_ROOT%{_var}/log/clamav

install %_sourcedir/clamav.init $RPM_BUILD_ROOT/etc/rc.d/init.d/clamd
install %_sourcedir/clamav.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/clamd
touch $RPM_BUILD_ROOT%{_var}/log/clamav/clamav.log
touch $RPM_BUILD_ROOT%{_var}/log/clamav/freshclam.log

# install the cron script to auto update the virus database
install -m755 %_sourcedir/freshclam.cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/freshclam
# install the logrotate stuff
install -m644 %_sourcedir/freshclam.logrotate $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/freshclam
install -m644 %_sourcedir/clamav.logrotate $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/clamav

# install config file _explicitly_
# it will not be installed by 'make install' if /etc/clamav.conf exists in build system :-\
install -m644 etc/clamav.conf $RPM_BUILD_ROOT%{_sysconfdir}/

# pid file dir
install -d $RPM_BUILD_ROOT/var/run/clamav

%post
%post_service clamd

%preun
%preun_service clamd

%post -n lib%{name} -p %post_ldconfig
%postun -n lib%{name} -p %postun_ldconfig


%files
# NEWS and README - identical files :-\
%doc AUTHORS BUGS ChangeLog FAQ README TODO test docs/html docs/clamdoc.*
%_bindir/*
%_sbindir/*
%_initrddir/clamd
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/*.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/clamav
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/clamd
%_mandir/man?/*
%attr(3775,root,mail) %dir /var/lib/clamav
%attr(3775,root,mail) %dir /var/run/clamav
%attr(3771,root,mail) %dir /var/log/clamav
%attr(640,mail,root) %ghost /var/log/clamav/clamav.log
%attr(644,mail,mail) %ghost /var/log/clamav/freshclam.log
%config(noreplace) %{_sysconfdir}/cron.daily/freshclam
%config(noreplace) %{_sysconfdir}/logrotate.d/freshclam
# just mirrors list, virus databases will be downloaded by clamd start script
%attr(644,mail,root) /var/lib/clamav/mirrors.txt

%files -n lib%{name}
%_libdir/lib*.so.*

%files -n lib%{name}-devel
%_libdir/lib*.so
%_libdir/lib*.la
%_includedir/*.h

%files -n lib%{name}-devel-static
%_libdir/lib*.a

%changelog
* Fri Jun 27 2003 Victor Forsyuk <force@altlinux.ru> 0.60-alt1
- Initial build for Sisyphus.
